%define gstapi	1.0

Name:		audio-recorder
Version:	3.3.4
Release:	%mkrel 1
Summary:	Audio recorder application
License:	GPLv3+
Group:		Sound
URL:		https://launchpad.net/audio-recorder
Source0:	%{name}-%{version}.tar.xz
Patch0:		audio-recorder-desktop-menu.patch
#----------------------------------------------------
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64dbus-1-devel
BuildRequires: lib64dbus-glib-1_2-devel
BuildRequires: lib64appindicator3-devel
BuildRequires: lib64dconf-devel
BuildRequires: lib64gstreamer1.0-devel
BuildRequires: lib64pulseaudio-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64gstreamer-plugins-base1.0-devel
#----------------------------------------------------
Requires: gstreamer1.0-plugins-bad
Requires: gstreamer1.0-plugins-base
Requires: gstreamer1.0-plugins-good
Requires: gstreamer1.0-plugins-ugly

%description
This amazing program allows you to record your favourite music or audio to a file. 
It can record audio from your system's soundcard, microphones, browsers, webcams & more. 
Put simply: if it plays out of your loudspeakers you can record it. 

It has an advanced timer that can:
* Start, stop or pause recording at a given clock time.
* Start, stop or pause after a time period.
* Stop when the recorded file size exceeds a limit.
* Start recording on voice or sound (user can set the audio threshold and delay).
* Stop or pause recording on "silence" (user can set the audio threshold and delay).

The recording can be atomatically controlled by:
* RhytmBox audio player.
* Banshee audio player.
* Amarok, VLC, Audacious and other MPRIS2 compatible players.
* Skype. It can automatically record all your Skype calls without any user interaction.

This program supports several audio (output) formats such as OGG audio, Flac, MP3 and WAV. 

User can also control the recorder from command line with --command <arg> option.
See audio-recorder --help for more information.

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x

%make

%install
%makeinstall_std

desktop-file-install --vendor="" \
 --remove-category='AudioVideo' \
 --remove-category='Player' \
 --remove-category='Audio' \
 --remove-category='Recorder' \
 --add-category='X-MandrivaLinux-Multimedia-Sound' \
 %{buildroot}%{_datadir}/applications/*.desktop


%files
%{_bindir}
%{_datadir}

%post
glib-compile-schemas /usr/share/glib-2.0/schemas

%postun
glib-compile-schemas /usr/share/glib-2.0/schemas


%changelog
* Mon Nov 15 2021 tex - 3.3.4-1pclos2021
- new version

* Sun Mar 17 2019 tex - 2.2.3-2pclos2019
- rebuild against updates

* Sun Feb 10 2019 tex 2.2.3-1pclos2019
- update
